@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chivo:wght@800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

body{
    background: black;
}

*{
    margin: 0;
    padding: 0;
}

.menu{
    background: #000000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
}

.menu .logo img{
    width: 250px;
    height: 83px;
}

.menu ul{
    display: flex;
    gap: 50px;
}

.menu ul li{
    list-style: none;
}

.menu ul li a{
    text-decoration: none;
    color: white;
    font-family: 'Lato', sans-serif;
    font-size: 20px;
    letter-spacing: 1px;
}

.menu ul li a:hover{
    color: turquoise;
    text-shadow: 0 0 3px turquoise;
}

.ham{
    display: none;
}

#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  transition-duration: .5s;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: white;
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
  background-color: turquoise;
}

#bar1,#bar3 {
  width: 70%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

@media (max-width:1080px){
    .menu ul{
        display: none;
    }

    .ham{
        display: block;
    }
}

@media (max-width:500px){
  .menu .logo img{
    width: 200px;
    height: 66px;
}
}

@media (max-width:400px){
  .menu{
    padding: 20px 30px;
  }
  .menu .logo img{
    width: 150px;
    height: 49px;
  }
}

.menu-mobile{
  position: absolute;
  right: 50px;
  top: 150px;
  width: 250px;
  background-color: black;
  border-radius: 30px;
  border: 3px solid turquoise;
  overflow: hidden;
  z-index: 1;
  display: none;
  padding: 40px 20px;
  transition: ease-in-out 700ms;
}

.menu-mobile ul{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
}

.menu-mobile li{
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-mobile li a{
  text-decoration: none;
  color: white;
  font-family: 'Lato', sans-serif;
  font-size: 20px;
  letter-spacing: 1px;
}

.menu-mobile li a:hover{
  color: turquoise;
  text-shadow: 0 0 3px turquoise;
}

@media(max-width:1080px){
    .menu-mobile.open{
      display: block;
    }
}

@media(max-width:650px){
  .menu-mobile{
    left: 50px;
    width: unset;
  }
}

@media(max-width:350px){
  .menu-mobile{
    left: 35px;
    right: 35px;
  }
}

.background{
    background: rgb(100,150,196);
    background: linear-gradient(90deg, rgba(95,158,83,1) 0%, rgba(100,150,196,1) 100%);
}

@media(max-width:1005.5px){
    .background{
        background: rgb(100,150,196);
        background: linear-gradient(180deg,  rgba(95,158,83,1) 0%, rgba(100,150,196,1) 100%);
    }
}

.filter{
    background: rgba(0, 0, 0, 0.4);
}

.head{
    padding: 40px 150px;
}
  
.titre{
    position: relative;
    display: flex;
    font-size: clamp(18px, 4vw, 30px);
    justify-content: center;
    align-items: center;
    color: turquoise;
    letter-spacing: 2px;
    text-align: center;
    font-family: 'Chivo', sans-serif;
    text-shadow: 4px 0 0 black, 4px 4px 0 black, 0 4px 0 black, -4px 4px 0 black, -4px 0 0 black, -4px -4px 0 black, 0 -4px 0 black, 4px -4px 0 black;
}


.tarifs{
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 150px;
    padding: 120px 90px;
}

.stpierre{
    background: rgba(100,150,196,1);
    width: 330px;
    border-radius: 30px;
    border: 4px solid #000000;
}

.stpierre img{
    width: 100%;
    height: 180px;
    border-top-left-radius: 27px;
    border-top-right-radius: 27px;
}

.valmi{
    background: rgba(95,158,83,1);
    width: 330px;
    border-radius: 30px;
    border: 4px solid #000000;
}

.valmi img{
    width: 100%;
    height: 180px;
    border-top-left-radius: 27px;
    border-top-right-radius: 27px;
}

.ville{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    color: white;
    padding: 15px 10px;
    margin-top: -25px;
    border-radius: 100px;
    border: 2px solid turquoise;
    font-family: 'Chivo', sans-serif;
}

.corps{
    padding: 40px 30px ;
}

.texte{
    padding: 25px 0px;
}

.texte h3{
    display: flex;
    justify-content: center;
    font-size: 22px;
    text-align: center;
}

.texte h4{
    font-family: 'Poppins', sans-serif;
}

.prix h4{
    font-family: 'Poppins', sans-serif;
}

.prix h2{
    display: flex;
    justify-content: center;
    font-family: sans-serif;
    font-size: 35px;
}

@media(max-width:580px){
    .tarifs{
      padding: 150px 50px;
  }
}

@media(max-width:480px){
    .head{
      padding: 40px 50px;
  }
}

.mailacceuil{
    background-color: #000000;
    width: 100%;
    height: 100px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 2px solid turquoise;
  }
  
  .mailacceuil .email{
    color: turquoise;
    letter-spacing: 1.5px;
    text-decoration: underline;
  }
  
  @media(max-width:425px){
    .mailacceuil .email{
        font-size: 13.5px;
    }
  }